Bug 113389 - rpcgen is not creating multithreaded rpc server
rpcgen is not creating multithreaded rpc server
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.3
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On: 1125246
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 09:41 EST by vaish
Modified: 2016-11-24 07:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 00:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Multithreaded RPC Server for RHEL 3 (55.50 KB, text/html)
2005-05-08 07:54 EDT, Boris Derzhavets
no flags Details

  None (edit)
Description vaish 2004-01-13 09:41:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.0.3705)

Description of problem:
We have used rpcgen to create a Prog_svc.c and Prog_clnt.c 
When there are many calls to our program it still results in a single 
threaded request.
This is happening only in Linux.
The same program works in SUN SOLARIS
However in SUN SOLARIS there is an option of using rpc_control which 
can be used to set multithreaded option
Now this rpc_control function is unavailable in LINUX.
Are we missing anything ?
Does Linux rpcgen support multithreading?
What are the options and can it be listed in the man pages?



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpcgen PROG.x

Additional info:
Comment 1 Ulrich Drepper 2004-08-26 00:58:20 EDT
So, rpc on Solaris and Linux is different.  Live with it, or do
something against it.  Either write appropriate code which does not
sacrifize any compatibility, or pay somebody to do this.  The Red Hat
bugzilla is the completely wrong place to report this.

If you want, you can file this is the upstream bugzilla at
sources.redhat.com but I'll tell you right away, I'll defer the bug
until somebody comes up with a patch.  I'll not spend a second more
than I have to maintaining useless code like RPC.
Comment 2 Boris Derzhavets 2005-05-08 07:54:48 EDT
Created attachment 114139 [details]
Multithreaded RPC Server for RHEL 3

http://www.linuxgazette.com/node/9005
Comment 3 Boris Derzhavets 2005-05-08 07:59:15 EDT
Comment on attachment 114139 [details]
Multithreaded RPC Server for RHEL 3

http://www.linuxgazette.com/node/9005
Comment 4 Boris Derzhavets 2005-05-18 10:34:16 EDT
Comment on attachment 114139 [details]
Multithreaded RPC Server for RHEL 3

http://www.linuxgazette.com/node/10211

Note You need to log in before you can comment on or make changes to this bug.